<?php 

#################################################################
##
##	PopSoft Digital - Global CSS Variables
##	Copyright 2002 - 2004 Jamie Longstaff
##
##	Script author:		Jamie Longstaff
##
#################################################################

## Overall site text color (colour as hexadecimal)
$style['textcolor'] 		= "#666666";


## Font family (CSS) for content text
$style['theme_font_family'] = "'Lucida Grande', Tahoma, Verdana, Arial, Helvetica, Geneva, sans-serif";


## Font family (CSS) for form text
$style['form_font_family'] 	= "'Lucida Grande', Tahoma, Verdana, Arial, Helvetica, Geneva, sans-serif";


## Font family (CSS) for header text
$style['head_font_family'] 	= "Arial, Helvetica, Geneva, sans-serif";


## Font size (CSS) (point size as integer).
$style['fontsize'] 			= "8";


## Active link color (colour as hexadecimal)
$style['alink'] 			= "#5C5C5C";


## Visited link color (colour as hexadecimal)
$style['vlink'] 			= "#5C5C5C";


## Link color (colour as hexadecimal)
$style['wlink'] 			= "#5C5C5C";


## Document background color (colour as hexadecimal)
$style['bgcolor'] 			= "#FFFFFF";


## Table header background colour (colour as hexadecimal)
$style['tblheadbgcolr'] 	= "#69A9F0";


## Table header background colour (colour as hexadecimal)
$style['tblheadtxcolr'] 	= "#FFFFFF";


## First colour for alternating backgrounds in table rows (colour as hexadecimal)
$style['list_bgcolor_1'] 	= "#EDEDED";


## Second colour for alternating backgrounds in table rows (colour as hexadecimal)
$style['list_bgcolor_2'] 	= "#F5F5F5";


## Row height for lines in scrolling list box views (pixels as integer)
$style['list_row_height'] 	= "20";


## Bounding border colour for listbox elements (colour as hexadecimal)
$style['listbox_border'] 	= "#AAAAAA";


## Colour for inline warning messages (default is a bluish colour)
$style['error_msg_color']	= "#3964A5";


## Border colour for content table boxes (toolbars etc..) (colour as hexadecimal)
$style['tblcont_border']	= "#DBDBDB";


## Content fill colour for content table boxes (toolbars etc..) (colour as hexadecimal)
$style['tblcont_content']	= "#F5F5F5";


## Colour for page title text over default blue gradient background (colour as hexadecimal)
$style['head_txt_color']	= "#FFFFFF";


## Top margin spacing for bulleted list views (pixels as integer)
$style['list_top_margin']	= "5";


?>