<?php
if(isset($GLOBALS["myaiyootaID"])){
	$aiyootaID = $GLOBALS["myaiyootaID"];
	setcookie ("aiyootaID", $aiyootaID, time()+6048000,"/");
}

if(!isset($wmxkunde)){
    $wmxkunde = $REMOTE_ADDR;
    $wmxkunde .= time();
    setcookie ("wmxkunde", $wmxkunde, time()+86400, "/");
}

require_once("../config/include/utils.runtime6.php");
require_once("../config/include/mysql.runtime6.php");

include("../../aidb.inc");

// require_once("../frontend/schwellenwertberechnung.php");

/* aeltere Version von Encoder
function Encoder($text) {
	$text = str_replace("\r\n"," ",$text);
	$text = str_replace("\r"," ",$text);
	$text = str_replace("\n"," ",$text);
	$text = str_replace("<br>","<br />",$text);
	$text = str_replace('&quot;','"',$text);
	$text = str_replace('& ','und ',$text);
	$text = str_replace('&','und ',$text);	
	$text = str_replace('&nbsp;',' ',$text);
return $text;	
}*/

function Encoder($text) {
	$text=preg_replace("/\x84|\x93|\'\'|&quot;/","\"", $text); 	// hier Kriterien durch ["] ersetzen lassen
	$text=preg_replace("/\s|&quot;|&nbsp;/"," ", $text);			// hier Kriterien (\s schliesst \n u.s.w. ein) durch [LEERZ.] ersetzen lassen
	$text=preg_replace("/& |&/","und ", $text);					// hier Kriterien durch [und]
	$text=str_replace("<br>","<br />",$text);
return $text;	
}

$Sprachen = WrapMySQLDatabaseResults("$ai_database", "select * from sprachen where sprache = '" . $GLOBALS["sprache"] . "' and aiyootaID = '".$aiyootaID."'", "block=1","Sprachen");

if (!isset($GLOBALS["sprache"])) {
	$sprache = $Sprachen->Value("sprache");
}

// zwei mal Contenttyp? // 	header('Content-Type: text/html; charset=utf-8');
		header('Content-Type: application/octet-stream');
		$filename = 'googlebranchen_'.$_COOKIE["aiyootaID"].'.xml';
		header('Content-Disposition: attachment; filename="'.$filename.'"');

/*SQL-Abfrage fuer $ChannelDaten*/
$sql ="select firmenname, claim ";
$sql.="from Grunddaten ";
$sql.="where sprache = '".$GLOBALS["sprache"]."' and aiyootaID='".$aiyootaID."' ";
//echo $sql;
$ChannelDaten=WrapMySQLDatabaseResults("$ai_database", $sql, "block=1","Navigation");
$channel_title=Encoder($ChannelDaten->Value("firmenname"));
$channel_link="http://".$_SERVER["HTTP_HOST"]."/";
$channel_description=Encoder($ChannelDaten->Value("claim"));

$xmltext ="<?xml version=\"1.0\"?>\n";
$xmltext.="<rss version=\"2.0\" xmlns:g=\"http://base.google.com/ns/1.0\" xmlns:w=\"http://base.google.com/cns/1.0\">\n";
$xmltext.="<channel>\n";
$xmltext.="\t<title>".$channel_title."</title>\n";
$xmltext.="\t<link>".$channel_link."</link>\n";
$xmltext.="\t<description>".$channel_description."</description>\n";

/*SQL-Abfrage fuer $ItemDaten */
$sql ="select firma, adresse, hausnummer, plz, ort, land, tel, fax, email, bild1, bild2, bild3, bild4, bild5, bild6, bild7, branche, ID, sprache ";
$sql.="from adressen ";
$sql.="where aiyootaID = '".$aiyootaID."' ";
$sql.="order by ort";
//echo $sql;
$ItemDaten=WrapMySQLDatabaseResults("$ai_database", $sql, "block=1","ItemDaten");
/* Item-Block zusammensetzen */	
$ItemDaten->MoveFirst();
while(!$ItemDaten->EOF()) {
	$naviID = '0';
	$Navigation = WrapMySQLDatabaseResults("$ai_database", "select naviID, menueebene, ueber_naviID, ueber_naviID2 from navigation where aiyootaID = '".$aiyootaID."' and layoutliste = 'branchen.php'", "block=1","Navigation");
	$naviID = $Navigation->Value("naviID");
	$ueber = $Navigation->Value("naviID");
	if (($Navigation->Value("menueebene") == "2") || ($Navigation->Value("menueebene") == "4")) $ueber = $Navigation->Value("ueber_naviID");
	$arrBilder[0]=$ItemDaten->Value("bild1");
	$arrBilder[1]=$ItemDaten->Value("bild2");
	$arrBilder[2]=$ItemDaten->Value("bild3");
	$arrBilder[3]=$ItemDaten->Value("bild4");
	$arrBilder[4]=$ItemDaten->Value("bild5");
	$arrBilder[5]=$ItemDaten->Value("bild6");
	$arrBilder[6]=$ItemDaten->Value("bild7");

	$item_title=Encoder($ItemDaten->Value("firma"));
	$item_link="http://".$_SERVER["HTTP_HOST"]."/".$ItemDaten->Value("sprache")."/".$ItemDaten->Value("ID")."/".$naviID."/".$ueber."/".$aiyootaID."/branchendetail.html";
	$item_description=Encoder($ItemDaten->Value("branche"));
/*  Standortdaten zusammenfügen */	
	$item_standort="";
	if ($ItemDaten->Value("adresse")) {
		$item_standort=$ItemDaten->Value("adresse").", ";
	}
	$plz_ort=$ItemDaten->Value("plz")." ".$ItemDaten->Value("ort");
	if ($plz_ort && $ItemDaten->Value("land")) {
		$item_standort.=$plz_ort.", ".$ItemDaten->Value("land");
	} else {
		$item_standort.=$plz_ort.$ItemDaten->Value("land");
	}
	$item_standort=Encoder($item_standort);		// Das Format hier will Google so haben.
	$item_telefon=Encoder($ItemDaten->Value("tel"));
	$item_telefax=Encoder($ItemDaten->Value("fax"));
	$item_email=Encoder($ItemDaten->Value("email"));
	$item_url=Encoder($ItemDaten->Value("internet"));
	$item_ansprechpartner=Encoder($ItemDaten->Value("ansprechpartner"));
/* <g:xyz> -> Tags von Goggle ... <w:xyz type="uvw"> -> selbst definierte Tags*/
	$xmltext.="\t<item>\n";
	$xmltext.="\t\t<title>".$item_title."</title>\n";
	$xmltext.="\t\t<link>".$item_link."</link>\n";
	$xmltext.="\t\t<description>".$item_description."</description>\n";
/* Bilder aus $arrBilder in Tags verpacken und in $xmltext einfügen */
	$pfad="http://".$_SERVER["HTTP_HOST"]."/".$aiyootaID."/Uploaded/Firmen/";
	for ($i=0; $i<count($arrBilder); $i++) {
		if($arrBilder[$i] != "") {
			$fn=str_replace("|","%7C",$arrBilder[$i]);
			$xmltext.="\t\t<g:bild_url>".$pfad.$fn."</g:bild_url>\n";
		}
	}
	$xmltext.="\t\t<g:standort>".$item_standort."</g:standort>\n";
	$xmltext.="\t\t<w:adresse type=\"string\">".$item_standort."</w:adresse>\n";
	$xmltext.="\t\t<w:telefon type=\"string\">".$item_telefon."</w:telefon>\n";
	$xmltext.="\t\t<w:telefax type=\"string\">".$item_telefax."</w:telefax>\n";
	$xmltext.="\t\t<w:email type=\"string\">".$item_email."</w:email>\n";
	$xmltext.="\t\t<w:url type=\"url\">".$item_url."</w:url>\n";
	$xmltext.="\t\t<w:Ansprechpartner type=\"string\">".$item_ansprechpartner."</w:Ansprechpartner>\n";
	$xmltext.="\t</item>\n";
	$ItemDaten->MoveNext();
}
$ItemDaten="";	// Speicher freigeben
$xmltext.="</channel>\n";
$xmltext.="</rss>\n";
// echo $xmltext;
echo utf8_encode($xmltext);
$xmltext="";	// Speicher freigeben
?>