<?php

#####################################################################
##
##	PopCard Localisation File
##	Copyright 2002 - 2004 Jamie Longstaff
##
##	Translation by:		Jamie Longstaff
##
##	Script author:		Jamie Longstaff
##	Script version:		2.3
##
#####################################################################

## The required character set for your language text.
$lang['meta_charset'] 			= "utf-8";


## Title for choose photo page
$lang['pcba_01_title']			= "Send an email postcard.";


## Title for choose photo page
$lang['pcba_01_msg']			= "Brighten up a friend's day by sending a postcard. Choose from one of the photographs below to begin!";


## Title for choose photo page
$lang['pcba_01_btn']			= "Choose";


## Title for the chosen photo.
$lang['pcm_chosen_photo'] 		= "Your chosen photo";


## An optional field where the user is able to enter a URL of a photo.
$lang['pcm_path_tophoto'] 		= "Enter the full URL of a JPEG photo to use as the basis for your PopCard";


## Title for area where user enters their message.
$lang['pcm_enter_message'] 		= "Enter your message...";


## Instructions for the page.
$lang['pcm_instruct_01'] 		= "To create a personalised postcard, type a message into the box below.  Next enter your own e-mail address and the address of the person that you want to send the card to.";


## Warning message about the length of the card message.
$lang['pcm_instruct_02'] 		= "Remember to keep your message short, or it will run off the edge of the postcard!";


## Title for area to add names and e-mail addresses.
$lang['pcm_add_email'] 			= "Add e-mail addresses";


## User is instructed to enter their own name.
$lang['pcm_yourname'] 			= "Your name";


## User is instructed to enter their own e-mail address.
$lang['pcm_youremail'] 			= "Your e-mail address";


## User is instructed to enter recipient's e-mail address.
$lang['pcm_recipemail'] 		= "Recipient e-mail address";


## User is instructed to choose a font.
$lang['pcm_choose_font'] 		= "Choose the font";


## Name of the button to preview the card.
$lang['pcm_preview_card'] 		= "Preview Postcard";


## Warning message if there's no name or e-mail address to use.
$lang['pcba_03_warn']	 		= "You MUST enter your name, your e-mail address and the e-mail address of your intended recipient in order to continue!";


## Message telling the user to continue if they're happy with the message.
$lang['pcba_03_continue']	 	= "If you're happy with the contents of the message and the e-mail addresses and names are correct, you can continue and send the message.";


## Name of the button to send the card.
$lang['pcm_send_card'] 			= "Send Postcard";


## Name of the button to send the card.
$lang['pcm_edit_card'] 			= "Edit Postcard";


## Title for the message to the person sending the card when the final form is submitted.
$lang['pcm_card_sent'] 			= "Your card has been sent!";


## Message to the person sending the card when the final form is submitted.
$lang['pcm_success_message'] 	= "Your custom postcard has been sent and should arrive shortly!";


## This will appear in the recipient's inbox i.e. Bob has sent you a PopCard.
## The name of the sender is added automatically to the text here.
$lang['pcm_sender_sent'] 		= "has sent you a PopCard";


## Message subject for the end user's e-mail inbox.
$lang['msg_subject'] 			= "You've been send a postcard!";


## Part of text for copyright notice
$lang['copy_part01'] 			= "Powered by";


## Part of text for copyright notice.
$lang['copy_part02'] 			= "All Rights Reserved";


###############################################################################################
##
##	PopCard Modular Only

## Part of text for copyright notice
$lang['error_no_url'] 			= "Error! No image URL to process!";


## Part of text for copyright notice.
$lang['error_bad_referer']		= "Error! Images from this domain are not allowed!";

###############################################################################################

?>